Skip to main content
POST
/
api
/
v2
/
network
/
offers
Create offer
curl --request POST \
  --url 'https://{domain}/api/v2/network/offers?api-key=' \
  --header 'Content-Type: application/json' \
  --data '
{
  "title": "string",
  "advertiser_id": 1,
  "visible_type": 1,
  "default_url": "string",
  "status": 1,
  "currency": "USD",
  "external_id": "string",
  "description": "Sample description",
  "internal_info": "string"
}
'
{
  "status": "success",
  "code": 200,
  "name": "OK",
  "message": "<string>",
  "info": {
    "offer": {}
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.scaleo.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

api-key
string
query
required

API key passed as query parameter. User must have api_status enabled.

Body

application/json
title
string
required
Maximum string length: 128
advertiser_id
integer
required

Advertiser ID. Create: POST /api/v2/network/advertisers.

visible_type
integer
required

1=private, 2=public, 3=require_approval.

default_url
string
required

Default landing page URL. Auto-creates default landing page.

status
integer

Offer status.

currency
string

ISO 4217 currency code.

Maximum string length: 3
external_id
string
description
string
internal_info
string
timezone
string

Timezone identifier used to determine whether expiration_date is in the past.

Maximum string length: 32
image
string
image_data
string

Base64-encoded image data.

Available options:
0,
1
is_expires
enum<integer>
Available options:
0,
1
expiration_date
string

Expiration date in Y-m-d format. When is_expires=1, must be today or a future date in the offer timezone.

ask_approval_questions
enum<integer>
Available options:
0,
1
questions
string
categories
string

Comma-separated category IDs.

categories_ids
integer[]
tags
integer[]

Array of tag IDs.

traffic_types
integer[]

Array of traffic type IDs.

traffic_types_denied
integer[]
preview_url
string
goal_type
integer

Default goal type ID.

goal_title
string
goal_revenue
number
goal_payout
number
block_traffic
enum<integer>
Available options:
0,
1
block_traffic_vpn
enum<integer>
Available options:
0,
1
block_traffic_proxy
enum<integer>
Available options:
0,
1
block_traffic_bot
enum<integer>
Available options:
0,
1

Response

Offer created.

status
string
Example:

"success"

code
integer
Example:

200

name
string
Example:

"OK"

message
string
info
object